Index: LMDZ6/branches/LMDZ_DECOUPLE/libf/phylmd/Dust/inscav_spl.F
===================================================================
--- LMDZ6/branches/LMDZ_DECOUPLE/libf/phylmd/Dust/inscav_spl.F	(revision 4794)
+++ LMDZ6/branches/LMDZ_DECOUPLE/libf/phylmd/Dust/inscav_spl.F	(revision 4795)
@@ -1,5 +1,5 @@
       SUBROUTINE inscav_spl(pdtime,it,masse,henry,kk,qliq,
      .                   flxr,flxs,zrho,zdz,t,x,
-     .                   his_dh) 
+     .                   dx) 
       USE dimphy
       IMPLICIT NONE 
Index: LMDZ6/branches/LMDZ_DECOUPLE/libf/phylmd/lsc_scav.F90
===================================================================
--- LMDZ6/branches/LMDZ_DECOUPLE/libf/phylmd/lsc_scav.F90	(revision 4794)
+++ LMDZ6/branches/LMDZ_DECOUPLE/libf/phylmd/lsc_scav.F90	(revision 4795)
@@ -7,5 +7,5 @@
                     oliq,flxr,flxs,rneb,beta_fisrt,  &
                     beta_v1,pplay,paprs,t,tr_seri,d_tr_insc,          &
-                    d_tr_bcscav,d_tr_evap,qPrls) 
+                    d_tr_bcscav,d_tr_evap,qPrls,beta_st,j) 
   USE ioipsl
   USE dimphy
@@ -13,5 +13,5 @@
   USE mod_phys_lmdz_para
   USE traclmdz_mod
-  USE infotrac_phy,ONLY : nbtr
+  USE infotrac_phy,ONLY : nbtr,solsym
   USE iophy
   IMPLICIT NONE 
@@ -47,4 +47,8 @@
   REAL,DIMENSION(klon,klev,nbtr),INTENT(OUT)  :: d_tr_bcscav  ! tendance de traceur
   REAL,DIMENSION(klon,klev,nbtr),INTENT(OUT)  :: d_tr_evap
+  ! Nicolas Février
+  REAL,DIMENSION(klon,klev,12),INTENT(OUT)       :: beta_st
+  INTEGER,INTENT(IN)                             :: j           ! indice parmi les 12 traceurs de WETDEP
+
   REAL,DIMENSION(klon,nbtr),INTENT(OUT)       :: qPrls      !jyg: concentration tra dans pluie LS a la surf.
   REAL :: dxin,dxev                              ! tendance temporaire de traceur incloud
@@ -111,6 +115,6 @@
       R_r=0.001            !  mean raindrop radius (m) 
       R_s=0.001            !  mean snow crystal radius (m)
-      frac_fine_scav=0.7
-      frac_coar_scav=0.7
+      !frac_fine_scav=0.7
+      !frac_coar_scav=0.7
 !     frac_aer=0.5 ~ droplet size shrinks by evap
       frac_aer=0.5
@@ -133,6 +137,6 @@
    print*,'R_r',R_r
    print*,'R_s',R_s
-   print*,'frac_fine_scav',frac_fine_scav
-   print*,'frac_coar_scav',frac_coar_scav
+   !print*,'frac_fine_scav',frac_fine_scav
+   !print*,'frac_coar_scav',frac_coar_scav
    print*,'frac_aer ev',frac_aer
 
@@ -142,4 +146,17 @@
 !
 ! initialization
+
+  ! Nicolas Février
+  ! Différentiation BC soluble/insoluble
+
+  IF ((TRIM(solsym(it))=='AIBCM') .OR. (TRIM(solsym(it))=='AIPOMM') .OR. (TRIM(solsym(it))=='CIDUSTM')) THEN
+     frac_fine_scav=0.2
+     frac_coar_scav=0.2
+     !PRINT *,'insoluble okidoki'
+  ELSE
+     frac_fine_scav=0.7
+     frac_coar_scav=0.7
+  ENDIF
+
   dxin=0.
   dxev=0.
@@ -223,4 +240,6 @@
       his_dh(i)=his_dh(i)-dxin*zmass(i,k)/pdtime !  kg/m2/s
       d_tr_insc(i,k,it)=dxin
+      ! Nicolas Février
+      beta_st(i,k,j)=beta_st(i,k,j)-(exp(-scav(i,k)*beta*pdtime)-1.)/pdtime
 
 !  below-cloud impaction
@@ -239,4 +258,6 @@
      his_dh(i)=his_dh(i)-dxbc(i,k)*zmass(i,k)/pdtime !  kg/m2/s
      d_tr_bcscav(i,k,it)=dxbc(i,k)
+     ! Nicolas Février
+     beta_st(i,k,j)=beta_st(i,k,j)+3./4.*(water+ice)
     ENDIF
 
@@ -279,4 +300,8 @@
    ENDDO  !! do k
 
+! Debug beta_st
+    print *,"BETA LSC_SCAV",beta_st(5000,35,7)
+
+
 !jyg (20130114)
    DO i = 1,klon
@@ -298,3 +323,5 @@
 !     ENDDO
 
+!print*, "TAGADATSOINTSOIN"
+
 END SUBROUTINE lsc_scav
Index: LMDZ6/branches/LMDZ_DECOUPLE/libf/phylmd/minmaxqfi.F90
===================================================================
--- LMDZ6/branches/LMDZ_DECOUPLE/libf/phylmd/minmaxqfi.F90	(revision 4794)
+++ LMDZ6/branches/LMDZ_DECOUPLE/libf/phylmd/minmaxqfi.F90	(revision 4795)
@@ -2,7 +2,8 @@
 ! $Id$
 !
-SUBROUTINE minmaxqfi(zq,qmin,qmax,comment)
+SUBROUTINE minmaxqfi(zq,qmin,qmax,comment,it)
   USE dimphy
   USE print_control_mod, ONLY: prt_level
+  USE infotrac_phy, ONLY: nbtr, type_trac, conv_flg, solsym
   IMPLICIT NONE
 
@@ -11,4 +12,5 @@
   REAL,INTENT(IN)                         :: qmin,qmax
   CHARACTER(LEN=*),INTENT(IN)             :: comment
+  INTEGER,INTENT(IN)                      :: it
 
 ! Local  
@@ -24,7 +26,7 @@
         ENDIF
      ENDDO
-     IF (jbad.GT.0) THEN
+     IF ((jbad.GT.0) .AND. ((TRIM(solsym(it))=='AIBCM') .OR. (TRIM(solsym(it))=='ASBCM'))) THEN ! Nicolas Février : alerte seulement si le BC est concerné
         WRITE(*,*)comment, "k = ", k, "jbad > 0"
-        if (prt_level >= 1) then
+        if (prt_level >= 1) then ! Nicolas Février on print tout
            DO i = 1, jbad
               WRITE(*,*) "i,q=", jadrs(i), zq(jadrs(i),k)
@@ -33,4 +35,4 @@
      ENDIF
   ENDDO
-  
+
 END SUBROUTINE minmaxqfi
Index: LMDZ6/branches/LMDZ_DECOUPLE/libf/phylmd/phys_output_mod.F90
===================================================================
--- LMDZ6/branches/LMDZ_DECOUPLE/libf/phylmd/phys_output_mod.F90	(revision 4794)
+++ LMDZ6/branches/LMDZ_DECOUPLE/libf/phylmd/phys_output_mod.F90	(revision 4795)
@@ -143,5 +143,5 @@
     REAL, DIMENSION(NSW,2)          :: spbnds_sun !bounds of spectband
 
-    WRITE(lunout,*) 'Debut phys_output_mod.F90'
+    WRITE(lunout,*) 'DEBUG - ANNE Debut phys_output_mod.F90'
     ! Initialisations (Valeurs par defaut
 
@@ -312,4 +312,6 @@
   ecrit_files(9) = ecrit_files(3)
 
+  WRITE(lunout,*) 'DEBUG - ANNE nfiles=',nfiles
+
   DO iff=1,nfiles
 
@@ -498,8 +500,12 @@
             DO iq=nqo+1,nqtot 
             iiq=niadv(iq)
+            
+            !WRITE(lunout,*) 'UWUWU nom à utiliser : ','d'//trim(tname(iq))//'_bcscav'
+            WRITE(lunout,*) 'DEBUG - ANNE / iq=',iq,'/ d//trim(tname(iq))//_vdf=','d'//trim(tname(iq))//'_vdf',' / Tendance tracer //ttext(iiq)=','Tendance tracer '//ttext(iiq)
+
             o_trac(iq-nqo) = ctrl_out((/ 1, 5, 5, 5, 10, 10, 11, 11, 11, 11 /), &
                            tname(iiq),'Tracer '//ttext(iiq), "-",  &
                            (/ '', '', '', '', '', '', '', '', '', '' /))
-            o_dtr_vdf(iq-nqo) = ctrl_out((/ 4, 7, 7, 7, 10, 10, 11, 11, 11, 11 /), &
+            o_dtr_vdf(iq-nqo) = ctrl_out((/ 5, 5, 5, 5, 10, 10, 11, 11, 11, 11 /), &
                               'd'//trim(tname(iq))//'_vdf',  &
                               'Tendance tracer '//ttext(iiq), "-" , &
@@ -526,15 +532,15 @@
                                      (/ '', '', '', '', '', '', '', '', '', '' /))
 
-            o_dtr_insc(iq-nqo) = ctrl_out((/ 7, 7, 7, 7, 10, 10, 11, 11, 11, 11 /), &
+            o_dtr_insc(iq-nqo) = ctrl_out((/ 5, 5, 5, 5, 10, 10, 11, 11, 11, 11 /), &
                                'd'//trim(tname(iq))//'_insc', &
                                'Tendance tracer '//ttext(iiq), "-", &
                                (/ '', '', '', '', '', '', '', '', '', '' /))
 
-            o_dtr_bcscav(iq-nqo) = ctrl_out((/ 7, 7, 7, 7, 10, 10, 11, 11, 11, 11 /), &
+            o_dtr_bcscav(iq-nqo) = ctrl_out((/ 5, 5, 5, 5, 10, 10, 11, 11, 11, 11 /), &
                                  'd'//trim(tname(iq))//'_bcscav', &
                                  'Tendance tracer '//ttext(iiq), "-", &
                                  (/ '', '', '', '', '', '', '', '', '', '' /))
 
-            o_dtr_evapls(iq-nqo) = ctrl_out((/ 7, 7, 7, 7, 10, 10, 11, 11, 11, 11 /), &
+            o_dtr_evapls(iq-nqo) = ctrl_out((/ 5, 5, 5, 5, 10, 10, 11, 11, 11, 11 /), &
                                  'd'//trim(tname(iq))//'_evapls', &
                                  'Tendance tracer '//ttext(iiq), "-", &
@@ -566,6 +572,6 @@
                                  (/ '', '', '', '', '', '', '', '', '', '' /))
 
-            o_dtr_dry(iq-nqo) = ctrl_out((/ 7, 7, 7, 7, 10, 10, 11, 11, 11, 11 /), &
-                              'cum'//'d'//trim(tname(iq))//'_dry', &
+            o_dtr_dry(iq-nqo) = ctrl_out((/ 5, 5, 5, 5, 10, 10, 11, 11, 11, 11 /), &
+                              'd'//trim(tname(iq))//'_dry', &
                               'tracer tendency dry deposition'//ttext(iiq), "-", &
                               (/ '', '', '', '', '', '', '', '', '', '' /))
@@ -579,4 +585,6 @@
 
    ENDDO !  iff
+
+   WRITE(lunout,*)'DEBUG - ANNE / on est sorti de la boucle sur iff' 
 
     ! Updated write frequencies due to phys_out_filetimesteps. 
Index: LMDZ6/branches/LMDZ_DECOUPLE/libf/phylmd/phys_output_write_mod.F90
===================================================================
--- LMDZ6/branches/LMDZ_DECOUPLE/libf/phylmd/phys_output_write_mod.F90	(revision 4794)
+++ LMDZ6/branches/LMDZ_DECOUPLE/libf/phylmd/phys_output_write_mod.F90	(revision 4795)
@@ -6,5 +6,5 @@
   USE phytrac_mod, ONLY : d_tr_cl, d_tr_th, d_tr_cv, d_tr_lessi_impa, &
        d_tr_lessi_nucl, d_tr_insc, d_tr_bcscav, d_tr_evapls, d_tr_ls,  &
-       d_tr_trsp, d_tr_sscav, d_tr_sat, d_tr_uscav, flux_tr_dry
+       d_tr_trsp, d_tr_sscav, d_tr_sat, d_tr_uscav, flux_tr_dry,list_aero_wetdep
 
   ! Author: Abderrahmane IDELKADI (original include file)
@@ -446,4 +446,6 @@
     REAL,DIMENSION(klon,klev) :: z, dz
     REAL,DIMENSION(klon)      :: zrho, zt
+    ! Nicolas Février
+    INTEGER :: j
 
     ! On calcul le nouveau tau:
@@ -2349,24 +2351,33 @@
 #endif
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+
+       ! Nicolas Février
+       ! On rajoute type_trac == 'inca'
        IF (iflag_phytrac == 1 ) then
-         IF (type_trac == 'lmdz' .OR. type_trac == 'coag') THEN
-           DO iq=nqo+1, nqtot
+         IF (type_trac == 'lmdz' .OR. type_trac == 'coag' .OR. type_trac == 'inca') THEN
+           ! Nicolas Février
+           ! On ne fait la boucle que sur les aérosols voulus
+           !DO iq=nqo+1, nqtot
+           DO j = 1,size(list_aero_wetdep)
+           !DO iq=6
+           !iq=list_aero_wetdep(6)+2
+             iq=list_aero_wetdep(j)+3
              !--3D fields
-             CALL histwrite_phy(o_trac(iq-nqo), tr_seri(:,:,iq-nqo))
+             !CALL histwrite_phy(o_trac(iq-nqo), tr_seri(:,:,iq-nqo))
              CALL histwrite_phy(o_dtr_vdf(iq-nqo),d_tr_cl(:,:,iq-nqo))
-             CALL histwrite_phy(o_dtr_the(iq-nqo),d_tr_th(:,:,iq-nqo))
+             !CALL histwrite_phy(o_dtr_the(iq-nqo),d_tr_th(:,:,iq-nqo))
              CALL histwrite_phy(o_dtr_con(iq-nqo),d_tr_cv(:,:,iq-nqo))
-             CALL histwrite_phy(o_dtr_lessi_impa(iq-nqo),d_tr_lessi_impa(:,:,iq-nqo))
-             CALL histwrite_phy(o_dtr_lessi_nucl(iq-nqo),d_tr_lessi_nucl(:,:,iq-nqo))
+             !CALL histwrite_phy(o_dtr_lessi_impa(iq-nqo),d_tr_lessi_impa(:,:,iq-nqo))
+             !CALL histwrite_phy(o_dtr_lessi_nucl(iq-nqo),d_tr_lessi_nucl(:,:,iq-nqo))
              CALL histwrite_phy(o_dtr_insc(iq-nqo),d_tr_insc(:,:,iq-nqo))
              CALL histwrite_phy(o_dtr_bcscav(iq-nqo),d_tr_bcscav(:,:,iq-nqo))
              CALL histwrite_phy(o_dtr_evapls(iq-nqo),d_tr_evapls(:,:,iq-nqo))
-             CALL histwrite_phy(o_dtr_ls(iq-nqo),d_tr_ls(:,:,iq-nqo))
-             CALL histwrite_phy(o_dtr_trsp(iq-nqo),d_tr_trsp(:,:,iq-nqo))
-             CALL histwrite_phy(o_dtr_sscav(iq-nqo),d_tr_sscav(:,:,iq-nqo))
-             CALL histwrite_phy(o_dtr_sat(iq-nqo),d_tr_sat(:,:,iq-nqo))
-             CALL histwrite_phy(o_dtr_uscav(iq-nqo),d_tr_uscav(:,:,iq-nqo))
+             !CALL histwrite_phy(o_dtr_ls(iq-nqo),d_tr_ls(:,:,iq-nqo))
+             !CALL histwrite_phy(o_dtr_trsp(iq-nqo),d_tr_trsp(:,:,iq-nqo))
+             !CALL histwrite_phy(o_dtr_sscav(iq-nqo),d_tr_sscav(:,:,iq-nqo))
+             !CALL histwrite_phy(o_dtr_sat(iq-nqo),d_tr_sat(:,:,iq-nqo))
+             !/CALL histwrite_phy(o_dtr_uscav(iq-nqo),d_tr_uscav(:,:,iq-nqo))
             !--2D fields
-             CALL histwrite_phy(o_dtr_dry(iq-nqo), flux_tr_dry(:,iq-nqo))
+             !CALL histwrite_phy(o_dtr_dry(iq-nqo), flux_tr_dry(:,iq-nqo))
              zx_tmp_fi2d=0.
              IF (vars_defined) THEN
@@ -2375,5 +2386,5 @@
                 ENDDO
              ENDIF
-             CALL histwrite_phy(o_trac_cum(iq-nqo), zx_tmp_fi2d)
+             !CALL histwrite_phy(o_trac_cum(iq-nqo), zx_tmp_fi2d)
            ENDDO !--iq
          ENDIF   !--type_trac
Index: LMDZ6/branches/LMDZ_DECOUPLE/libf/phylmd/phytrac_mod.F90
===================================================================
--- LMDZ6/branches/LMDZ_DECOUPLE/libf/phylmd/phytrac_mod.F90	(revision 4794)
+++ LMDZ6/branches/LMDZ_DECOUPLE/libf/phylmd/phytrac_mod.F90	(revision 4795)
@@ -45,4 +45,9 @@
   REAL,DIMENSION(:,:),ALLOCATABLE,SAVE      :: d_tr_dry ! Td depot sec/traceur (1st layer),ALLOCATABLE,SAVE  jyg
   REAL,DIMENSION(:,:),ALLOCATABLE,SAVE      :: flux_tr_dry ! depot sec/traceur (surface),ALLOCATABLE,SAVE    jyg
+  !Nicolas Février
+  INTEGER,DIMENSION(12),SAVE :: list_aero_wetdep
+  REAL,DIMENSION(:,:,:),ALLOCATABLE,SAVE :: beta_st,beta_cv
+!$OMP THREADPRIVATE(list_aero_wetdep,beta_st,beta_cv)
+
 
 !$OMP THREADPRIVATE(qPa,qMel,qTrdi,dtrcvMA,d_tr_th,d_tr_lessi_impa,d_tr_lessi_nucl)
@@ -71,4 +76,6 @@
        ALLOCATE(d_tr_th(klon,klev,nbtr))
        ALLOCATE(d_tr_lessi_impa(klon,klev,nbtr),d_tr_lessi_nucl(klon,klev,nbtr))
+       ! Nicolas Février
+       ALLOCATE(beta_st(klon,klev,12),beta_cv(klon,klev,12))
 
 
@@ -295,5 +302,5 @@
     !=======================================================================================
 
-    INTEGER :: i, k, it
+    INTEGER :: i, k, it, j ! j rajouté par Nicolas Février
     INTEGER :: nsplit
 
@@ -361,8 +368,19 @@
 !$OMP THREADPRIVATE(ccntrAA_in,ccntrENV_in,coefcoli_in)
 !$OMP THREADPRIVATE(convscav)
+
+
+    ! Nicolas Février
+
+    INTEGER,SAVE :: id_ASAPp1a,id_ASAPp2a,id_ASARp1a,id_ASARp2a,id_ASBCM,id_AIBCM,id_CIDUSTM,id_AIPOMM,id_ASPOMM,id_ASSSM,id_CSSSM,id_SSSSM
+!$OMP THREADPRIVATE(id_ASAPp1a,id_ASAPp2a,id_ASARp1a,id_ASARp2a,id_ASBCM,id_AIBCM,id_CIDUSTM,id_AIPOMM,id_ASPOMM,id_ASSSM,id_CSSSM,id_SSSSM)
+
     !RomP <<<
     !######################################################################
     !                    -- INITIALIZATION --
     !######################################################################
+
+    ! Nicolas Février
+    ! On force iflag_lscav à 4
+    !iflag_lscav=4
 
     DO k=1,klev
@@ -374,4 +392,15 @@
        END DO
     END DO
+
+   ! Nicolas Février
+   DO j=1, 12
+      DO k=1,klev
+         DO i=1,klon
+              beta_st(i,k,j)=0.
+              beta_cv(i,k,j)=0.
+          END DO
+       END DO
+    END DO
+
 
     DO it=1, nbtr
@@ -452,5 +481,5 @@
        !
 !$OMP MASTER
-       iflag_lscav_omp=1
+       !iflag_lscav_omp=4 !Nicolas Février
        call getin('iflag_lscav', iflag_lscav_omp)
        ccntrAA_omp=1
@@ -495,4 +524,9 @@
           source(:,:)=init_source(:,:)
           CALL tracinca_init(aerosol,lessivage)
+          ! Nicolas Février
+          ! On met le lessivage à TRUE tout en désactivant le lessivage de INCA
+          ! correspondant pour ne pas faire le lessivage deux fois.
+          ! Exemple : commenter CALL WETDEP dans aerosolmain.F90
+          ! lessivage=.TRUE.
        CASE('repr')
           source(:,:)=0.
@@ -614,8 +648,8 @@
        write(lunout,*)  'flag_cvltr    = ', flag_cvltr
 
-       IF (lessivage .AND. type_trac .EQ. 'inca') THEN
-          CALL abort_physic('phytrac', 'lessivage=T config_inca=inca impossible',1)
-!          STOP
-       ENDIF
+      ! IF (lessivage .AND. type_trac .EQ. 'inca') THEN
+      !    CALL abort_physic('phytrac', 'lessivage=T config_inca=inca impossible',1)
+!     !     STOP
+      ! ENDIF
        !
     ENDIF ! of IF (debutphy)
@@ -680,7 +714,68 @@
 
     END SELECT
+
+! Nicolas Février
+
+    !IF (aerosol_couple) THEN   !--we get aerosols from tr_seri array from INCA
+      !
+      !--copy fields from INCA tr_seri 
+      !--convert to ug m-3 unit for consistency with offline fields
+      !
+      DO it=1,nbtr
+         SELECT CASE(trim(solsym(it)))
+           CASE ("ASAPp1a")
+             id_ASAPp1a = it
+             aerosol(it)=.TRUE.
+           CASE ("ASAPp2a")
+             id_ASAPp2a = it
+             aerosol(it)=.TRUE.
+           CASE ("ASARp1a")
+             id_ASARp1a = it
+             aerosol(it)=.TRUE.
+           CASE ("ASARp2a")
+             id_ASARp2a = it
+             aerosol(it)=.TRUE.
+           CASE ("ASBCM")
+             id_ASBCM = it
+             aerosol(it)=.TRUE.
+           CASE ("AIBCM")
+             id_AIBCM = it
+             aerosol(it)=.TRUE.
+           CASE ("CIDUSTM")
+             id_CIDUSTM = it
+             aerosol(it)=.TRUE.
+           CASE ("AIPOMM")
+             id_AIPOMM = it
+             aerosol(it)=.TRUE.
+           CASE ("ASPOMM")
+             id_ASPOMM = it
+             aerosol(it)=.TRUE.
+           CASE ("ASSSM")
+             id_ASSSM = it
+             aerosol(it)=.TRUE.
+           CASE ("CSSSM")
+             id_CSSSM = it
+             aerosol(it)=.TRUE.
+           CASE ("SSSSM")
+             id_SSSSM = it
+             aerosol(it)=.TRUE.
+         END SELECT
+      ENDDO
+    !END IF
+
+    list_aero_wetdep=(/ id_ASAPp1a,id_ASAPp2a,id_ASARp1a,id_ASARp2a,id_ASBCM,id_AIBCM,id_CIDUSTM,id_AIPOMM,id_ASPOMM,id_ASSSM,id_CSSSM,id_SSSSM /)
+
+    !WRITE(lunout,*) 'id_AIBCM=',id_AIBCM
+    !WRITE(lunout,*) 'id_ASBCM=',id_ASBCM
+    !WRITE(lunout,*) 'shape_lmdz tr_seri=',shape(tr_seri)
+
     !======================================================================
     !       -- Calcul de l'effet de la convection --
     !======================================================================
+
+    ! Nicolas Février
+
+    !WRITE(lunout,*) 'CHECK1 TR_SERI AIBCM',SUM(tr_seri(:,:,id_AIBCM))
+    !WRITE(lunout,*) 'CHECK1 TR_SERI ASBCM',SUM(tr_seri(:,:,id_ASBCM))
 
     IF (iflag_con_trac==1) THEN
@@ -699,4 +794,13 @@
           ELSE   
              !--nouveau transport convectif de Emanuel
+             
+             ! Nicolas Février
+
+             IF ( ANY( list_aero_wetdep==it ) ) THEN
+                flag_cvltr(it)=.TRUE.
+                ccntrAA(it) =ccntrAA_in
+                ccntrENV(it)=ccntrENV_in
+                coefcoli(it)=coefcoli_in
+             END IF
 
              IF (flag_cvltr(it)) THEN
@@ -744,5 +848,8 @@
           END DO
 
-          CALL minmaxqfi(tr_seri(:,:,it),0.,1.e33,'convection it = '//solsym(it))
+          CALL minmaxqfi(tr_seri(:,:,it),0.,1.e33,'convection it = '//solsym(it),it)  ! Nicolas Février it rajouté en argument
+
+          !WRITE(lunout,*) 'CHECK2 TR_SERI AIBCM',SUM(tr_seri(:,:,id_AIBCM))
+          !WRITE(lunout,*) 'CHECK2 TR_SERI ASBCM',SUM(tr_seri(:,:,id_ASBCM))
 
        END DO ! nbtr
@@ -856,6 +963,7 @@
 
        DO it=1, nbtr
-          !
+          !WRITE(lunout,*) 'BOUM'
           IF( pbl_flg(it) /= 0 ) THEN
+             !WRITE(lunout,*) 'BADABOUM'
              !
              CALL cltrac(pdtphys, coefh,t_seri,       &
@@ -887,4 +995,6 @@
        !
     ELSE IF (iflag_vdf_trac==0) THEN
+
+    !WRITE(lunout,*) 'TRALALA'
        !
        !   Injection of source in the first model layer
@@ -897,4 +1007,6 @@
        !
     ELSE IF (iflag_vdf_trac==-1) THEN
+
+    !WRITE(lunout,*) 'BOFBOFBOF'
        !
        ! Nothing happens
@@ -911,4 +1023,63 @@
     !   POUR INCA le lessivage est fait directement dans INCA
     !======================================================================
+    
+    ! Nicolas Février
+
+    ! id_ASAPp1a,id_ASAPp2a,id_ASARp1a,id_ASARp2a,id_ASBCM,id_AIBCM,id_CIDUSTM,id_AIPOMM,id_ASPOMM,id_ASSSM,id_CSSSM,id_SSSSM
+
+!    IF (aerosol_couple) THEN   !--we get aerosols from tr_seri array from INCA
+!      !
+!      !--copy fields from INCA tr_seri 
+!      !--convert to ug m-3 unit for consistency with offline fields
+!      !
+!      DO it=1,nbtr
+!         SELECT CASE(trim(solsym(it)))
+!           CASE ("ASAPp1a")
+!             id_ASAPp1a = it
+!             aerosol(it)=.TRUE.
+!           CASE ("ASAPp2a")
+!             id_ASAPp2a = it
+!             aerosol(it)=.TRUE.
+!           CASE ("ASARp1a")
+!             id_ASARp1a = it
+!             aerosol(it)=.TRUE.
+!           CASE ("ASARp2a")
+!             id_ASARp2a = it
+!             aerosol(it)=.TRUE.
+!           CASE ("ASBCM")
+!             id_ASBCM = it
+!             aerosol(it)=.TRUE.
+!           CASE ("AIBCM")
+!             id_AIBCM = it
+!             aerosol(it)=.TRUE.
+!           CASE ("CIDUSTM")
+!             id_CIDUSTM = it
+!             aerosol(it)=.TRUE.
+!           CASE ("AIPOMM")
+!             id_AIPOMM = it
+!             aerosol(it)=.TRUE.
+!           CASE ("ASPOMM")
+!             id_ASPOMM = it
+!             aerosol(it)=.TRUE.
+!           CASE ("ASSSM")
+!             id_ASSSM = it
+!             aerosol(it)=.TRUE.
+!           CASE ("CSSSM")
+!             id_CSSSM = it
+!             aerosol(it)=.TRUE.
+!           CASE ("SSSSM")
+!             id_SSSSM = it
+!             aerosol(it)=.TRUE.
+!         END SELECT
+!      ENDDO
+!    END IF
+
+!    list_aero_wetdep=(/ id_ASAPp1a,id_ASAPp2a,id_ASARp1a,id_ASARp2a,id_ASBCM,id_AIBCM,id_CIDUSTM,id_AIPOMM,id_ASPOMM,id_ASSSM,id_CSSSM,id_SSSSM /)
+    
+    lessivage = .TRUE.
+
+    !WRITE(lunout,*) 'CHECK3 TR_SERI AIBCM',SUM(tr_seri(:,:,id_AIBCM))
+    !WRITE(lunout,*) 'CHECK3 TR_SERI ASBCM',SUM(tr_seri(:,:,id_ASBCM))
+
 
     IF (lessivage) THEN
@@ -922,8 +1093,12 @@
        ! choix du lessivage
        !
+
+       !WRITE(lunout,*) 'Nico iflag_lscav=',iflag_lscav
+
        IF (iflag_lscav .EQ. 3 .OR. iflag_lscav .EQ. 4) THEN
           ! ********  Olivier Boucher version (3) possibly with modified ql_incl (4)
           !
-          DO it = 1, nbtr
+          DO j = 1,size(list_aero_wetdep)
+             it=list_aero_wetdep(j)
 
              IF (aerosol(it)) THEN
@@ -932,22 +1107,26 @@
              ! Liu (2001) proposed to use 1.5e-3 kg/kg
 
-!jyg<
-!!             CALL lsc_scav(pdtphys,it,iflag_lscav,ql_incl,prfl,psfl,rneb,beta_fisrt,  &
+             !WRITE(lunout,*) 'On_lessive_id = ',it
+
              CALL lsc_scav(pdtphys,it,iflag_lscav,aerosol,ql_incl,prfl,psfl,rneb,beta_fisrt,  &
-!>jyg
                   beta_v1,pplay,paprs,t_seri,tr_seri,d_tr_insc,   &
-                  d_tr_bcscav,d_tr_evapls,qPrls)
+                  d_tr_bcscav,d_tr_evapls,qPrls,beta_st,j)
 
              !large scale scavenging tendency
-             DO k = 1, klev
-                DO i = 1, klon
-                   d_tr_ls(i,k,it)=d_tr_insc(i,k,it)+d_tr_bcscav(i,k,it)+d_tr_evapls(i,k,it)
-                   tr_seri(i,k,it)=tr_seri(i,k,it)+d_tr_ls(i,k,it)
-                ENDDO
-             ENDDO
-             CALL minmaxqfi(tr_seri(:,:,it),0.,1.e33,'lsc scav it = '//solsym(it))
+             ! Nicolas Février : commenté pour ne pas faire le lessivage ici. Il est à la place fait dans SETHET.
+             !DO k = 1, klev
+             !   DO i = 1, klon
+             !      d_tr_ls(i,k,it)=d_tr_insc(i,k,it)+d_tr_bcscav(i,k,it)+d_tr_evapls(i,k,it)
+             !      tr_seri(i,k,it)=tr_seri(i,k,it)+d_tr_ls(i,k,it)
+             !   ENDDO
+             !ENDDO
+             !CALL minmaxqfi(tr_seri(:,:,it),0.,1.e33,'lsc scav it = '//solsym(it),it) ! Nicolas Février it rajouté en argument
              ENDIF
 
           END DO  !tr
+
+! Debug beta_st
+    print *,"BETA PHYTRAC",beta_st(5000,35,7)
+
 
 #ifdef CPP_StratAer
@@ -1088,5 +1267,10 @@
        ENDIF  !  iflag_lscav . EQ. 1, 2, 3 or 4
        !
+    !write(lunout,*) 'THATSALLFOLKS'
     ENDIF !  lessivage
+
+    !WRITE(lunout,*) 'CHECK4 TR_SERI AIBCM',SUM(tr_seri(:,:,id_AIBCM))
+    !WRITE(lunout,*) 'CHECK4 TR_SERI ASBCM',SUM(tr_seri(:,:,id_ASBCM))
+
 
 
@@ -1104,8 +1288,14 @@
             tau_aero, piz_aero, cg_aero,        ccm,       &
             rfname,                                        &
-            tr_seri,  source)      
+            tr_seri,  source,beta_st)      
        
        
     ENDIF
+
+    !WRITE(lunout,*) 'CHECK5 TR_SERI AIBCM',SUM(tr_seri(:,:,id_AIBCM))
+    !WRITE(lunout,*) 'CHECK5 TR_SERI ASBCM',SUM(tr_seri(:,:,id_ASBCM))
+
+
+    !write(lunout,*) 'MERCI INCA POUR LES SERVICES'
     !=============================================================
     !   Ecriture des sorties
Index: LMDZ6/branches/LMDZ_DECOUPLE/libf/phylmd/radlwsw_m.F90
===================================================================
--- LMDZ6/branches/LMDZ_DECOUPLE/libf/phylmd/radlwsw_m.F90	(revision 4794)
+++ LMDZ6/branches/LMDZ_DECOUPLE/libf/phylmd/radlwsw_m.F90	(revision 4795)
@@ -873,5 +873,5 @@
          ZTOPLWAIAERO,ZSOLLWAIAERO, &
          ZLWADAERO, & !--NL
-         ok_ade, ok_aie, ok_volcan, flag_aerosol,flag_aerosol_strat, flag_aer_feedback) ! flags aerosols
+         ok_ade, ok_aie, ok_volcan, flag_aerosol,flag_aerosol_strat, .FALSE.) !Nicolas Février
             
 !        print *,'RADLWSW: apres RECMWF'
Index: LMDZ6/branches/LMDZ_DECOUPLE/libf/phylmd/tracinca_mod.F90
===================================================================
--- LMDZ6/branches/LMDZ_DECOUPLE/libf/phylmd/tracinca_mod.F90	(revision 4794)
+++ LMDZ6/branches/LMDZ_DECOUPLE/libf/phylmd/tracinca_mod.F90	(revision 4795)
@@ -42,5 +42,5 @@
        tau_aero, piz_aero, cg_aero,        ccm,       &
        rfname,                                        &
-       tr_seri,  source)      
+       tr_seri,  source,beta_st)      
 
 !========================================================
@@ -111,4 +111,7 @@
     REAL,DIMENSION(klon,nbsrf),INTENT(IN) :: pctsrf ! Pourcentage de sol f(nature du sol)
 
+! Nicolas Février
+! Lessivage de LMDZ à envoyer vers INCA
+    REAL,DIMENSION(klon,klev,12),INTENT(IN) :: beta_st
 
   ! InOutput argument
@@ -145,4 +148,6 @@
     ENDIF
 
+    !PRINT*, 'IL EST PASSE PAR ICI'
+
     CALL aerosolmain(                    &
          aerosol_couple,tr_seri,pdtphys, &
@@ -153,4 +158,9 @@
          rfname,ccm,lafin)
 #endif
+
+    !PRINT*, 'IL REPASSERA PAR LA'
+
+! Debug beta_st
+    print *,"BETA TRACINCA",beta_st(5000,35,7)
 
 
@@ -190,7 +200,11 @@
          nbp_lon,    & !nx
          nbp_lat,    & !ny
-         source )
+         source,     &
+         beta_st)
+
 #endif
     
+    !PRINT*, 'AVEC DE LA CHANCE PEUT-ETRE ICI AUSSI'
+
     CALL VTe(VTinca)
     CALL VTb(VTphysiq)
